/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2022-02-24 11:10
 * 描  述：ec_REFLOOKUPTABLEAttr
 */
var acceptClick;
var keyValue= request('keyValue');
var PropertyID = request('PropertyID');
var ProjectId = request('ProjectId');
var lookuptableid = request('lookuptableid');
var inOutFlag = request('inOutFlag');
var PropertyName = request('PropertyName');
var overwriteFlag = request('overwriteFlag');

var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () {
            page.bind();
            page.initData();
        },
        bind: function () {

        },
        initData: function () {
            // 初始化下拉列表并配置数据
            
            $('#inOutFlag').lrselect({
                data: [
                    { id: '1', text: '输入' },
                    { id: '2', text: '输出' }
                ],
                value: 'id',
                text: 'text',
                //select: function (item) {
                //    if (item) {
                //        // 将选择的值赋给变量 B
                //        selectedSpecialType = item.id;
                //        console.log('选中的值为：' + selectedSpecialType);
                //    }
                //}
            });
            $('#overwriteFlag').lrselect({
                data: [
                    { id: '1', text: '是（允许覆盖）' },
                    { id: '0', text: '否' }
                ],
                value: 'id',
                text: 'text',
                //select: function (item) {
                //    if (item) {
                //        // 将选择的值赋给变量 B
                //        selectedSpecialType = item.id;
                //        console.log('选中的值为：' + selectedSpecialType);
                //    }
                //}
            });
            
             if (!!PropertyID) {
                 //update
                 const params = new URLSearchParams(window.location.search);
                const PropName2 = decodeURIComponent(params.get("PropertyName"));
                $('#PropertyName').val(PropName2);
               
                $('#inOutFlag').lrselectSet(inOutFlag);                
            
                $('#overwriteFlag').lrselectSet(overwriteFlag);
            }
            else{
                // create
                   $('#inOutFlag').lrselectSet(1);//默认
                    $('#overwriteFlag').lrselectSet(1);//默认
            }
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        var formData = $('#form').lrGetFormData();

        if (!$('#form').lrValidform()) {
            return false;
        }

        //文字特殊字符及最大长度检测
        if (!verify()) {
            return false;
        }

      

        formData.PropertyID = PropertyID;
        formData.lookupTableID = lookuptableid; 
        formData.SP_ID= keyValue;


        var postData = {
            strEntity: JSON.stringify(formData),
            ProjectId: ProjectId 
        }

        $.lrSaveForm(top.$.rootUrl + '/ZZDT_EC/ec_LookupTable/SaveAttr', postData, function (res) {//感觉url里只能传一个参数，剩下的必须要以postdata方式

            // 保存成功后才回调
            if (!!callBack) {
                callBack();
            }


        });
    };
    page.init();
}
//文字特殊字符及最大长度检测
function verify() {
    return true;
}